
Figure - Bug #118649
【IOVISSUE-9111】-【VC1】【质量】【副屏】副屏冻屏
2023-06-08 15:51 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-08

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0106

Resolution: DUPLICATE Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

【问题描述】：【VC1】【质量】【副屏】副屏冻屏无法操作

【前置条件】：车辆上电P档状态

【软件环境】：EE

【软件版本】：IDCM 03.02.0086.C102

【提报人】：曹伟

【操作步骤】：1.副屏打开任务管理器清除后台

【预期结果】：1.操作正常，不会冻屏

【实际结果】：1. 副屏冻屏无法操作

【问题频率】：偶现

【实车VN】：LJD8BB3F8P0000734

【发生时间】：2023/6/8 11：37

【数采仪】： 0300144

【视频链接】：附件

History

#1 - 2023-06-08 20:36 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

Hi 王成

麻烦提供下日志勒，谢谢

已飞书联系

#2 - 2023-06-09 17:22 - CD FW 曹覃刚

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CDTS_TEST 王成 to CD FW 曹覃刚

已从jira获取日志

/Pre_figure/Test_Log/118649

#3 - 2023-06-09 18:45 - CD FW 曹覃刚

- Category changed from CD-FW to 冻屏
#4 - 2023-06-09 19:03 - CD FW 曹覃刚

■ 我的分析

-------------------------

06-08 11:37:17.158  1190 12743 E ActivityManager: Aborting stack trace dump (current native pid=909); deadline exceeded.

06-08 11:37:17.218  1190 12743 E ActivityManager: ANR in com.tencent.qqmusicpad

06-08 11:37:17.218  1190 12743 E ActivityManager: PID: 12260

06-08 11:37:17.218  1190 12743 E ActivityManager: Reason: Broadcast of Intent { act=wns.push.to.com.tencent.qqmusicpad flg=0x10 pkg=com.tencent.qqmusicpad

cmp=com.tencent.qqmusicpad/com.tencent.tme.platform.push.impl.PushReceiver (has extras) }

06-08 11:37:17.218  1190 12743 E ActivityManager: Frozen: false

06-08 11:37:17.218  1190 12743 E ActivityManager: Load: 6.1 / 3.83 / 3.0

06-08 11:37:17.218  1190 12743 E ActivityManager: ----- Output from /proc/pressure/memory -----

06-08 11:37:17.218  1190 12743 E ActivityManager: some avg10=0.00 avg60=0.00 avg300=0.00 total=789959

06-08 11:37:17.218  1190 12743 E ActivityManager: full avg10=0.00 avg60=0.00 avg300=0.00 total=273805

06-08 11:37:17.218  1190 12743 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-08 11:37:17.218  1190 12743 E ActivityManager: 

06-08 11:37:17.218  1190 12743 E ActivityManager: CPU usage from 16794ms to 30118ms later (2023-06-08 11:37:03.834 to 2023-06-08 11:37:17.159):

06-08 11:37:17.218  1190 12743 E ActivityManager:   99% 2774/hht_ota_mgr: 40% user + 58% kernel

06-08 11:37:17.218  1190 12743 E ActivityManager:   3.5% 1190/system_server: 1.5% user + 1.9% kernel / faults: 313 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   2.9% 2561/com.android.launcher3: 2.2% user + 0.6% kernel / faults: 3757 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   2% 14691/com.qiyi.video: 0.4% user + 1.5% kernel / faults: 5 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   1.8% 3240/com.hryt.lebotp: 0.4% user + 1.3% kernel / faults: 8 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   1.7% 835/vendor.qti.hardware.display.composer-service: 1% user + 0.6% kernel / faults: 4 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   1.2% 909/surfaceflinger: 0.8% user + 0.4% kernel / faults: 155 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   1.2% 12260/com.tencent.qqmusicpad: 0.2% user + 0.9% kernel / faults: 2 minor

06-08 11:37:17.218  1190 12743 E ActivityManager:   1% 12223/kworker/u16:10+LPASS_DCI: 0% user + 1% kernel

①问题发生时，出现了qq音乐无响应，hht_ota_mgr占了较高的cpu使用率

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2473ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2463ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2453ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2442ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2432ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2422ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2412ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2402ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2366ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2018ms processing MotionEvent

06-08 11:37:23.112  1190  1800 I InputDispatcher: 658c388 com.android.systemui.ImageWallpaper (server) spent 2002ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 4019ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 4009ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3999ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3989ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3979ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3969ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3959ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3949ms processing MotionEvent

06-08 11:37:23.114  1190  1800 I InputDispatcher: edge-swipe (server) spent 3938ms processing MotionEvent

06-08 11:37:23.115  1190  1800 I InputDispatcher: edge-swipe (server) spent 3928ms processing MotionEvent

06-08 11:37:23.115  1190  1800 I InputDispatcher: edge-swipe (server) spent 3663ms processing MotionEvent

06-08 11:37:23.115  1190  1800 I InputDispatcher: edge-swipe (server) spent 3485ms processing MotionEvent

②大量的processing MotionEvent日志打印，该日志仅在事件处理超过2s时打印，表示系统处理触摸事件响应慢，超过很多秒没有反应

  这个问题与①有关系， 同时针对事件的处理速度，在 #118456 也中有做过优化
③从复现视频看，桌面recent画面显示异常

-------------------------

■ 下一步计划

1.hht_ota_mgr待客户分析结果

2.触摸事件处理缓慢，依赖第1点，同时我们在 #118456 也中有做过优化

3.分析桌面recent画面显示异常的原因

#5 - 2023-06-13 15:12 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_TEST 王成

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#6 - 2023-07-03 16:34 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

客户反馈：110版本验证通过关闭

#7 - 2023-07-03 16:34 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

飞书20230608-114517副屏冻屏.mp4 2.99 MB 2023-06-08 CDTS_TEST 王成
